package com.ylx.massage.enums;

import org.apache.commons.compress.utils.Lists;

import java.util.ArrayList;
import java.util.List;

/**
 * @author jianlong
 * @date 2024-03-27 11:51
 * 订单状态枚举
 */
public enum OrderStatusEnum {

    ALL(null, "全部"),
    WAIT_JD(0, "待接单"),
    SERVICE(1, "服务中"),
    WAIT_EVALUATE(2, "待评价"),
    COMPLETE(3, "已完成"),
    WAIT_PAY(-1, "待付款"),
    CANCEL(-2, "已取消"),
    REFUSE(-3, "已拒绝");


    private final Integer code;
    private final String info;

    OrderStatusEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public static List<Enumproject> getStatusEnum() {

        ArrayList<Enumproject> objects = Lists.newArrayList();
        for (OrderStatusEnum value : OrderStatusEnum.values()) {
            Enumproject enumproject = new Enumproject();
            enumproject.setInfo(value.getInfo());
            enumproject.setCode(value.getCode());
            objects.add(enumproject);

        }
        return objects;
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

}
